TableSample (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.visualizers, class: TableSample

Package org.apache.jmeter.visualizers

# Class TableSample

java.lang.Object
org.apache.jmeter.visualizers.TableSample

All Implemented Interfaces:
  `Serializable`, `Comparable<TableSample>`

public class TableSample extends Object implements Serializable, Comparable<TableSample>
Class to hold data for the TableVisualiser.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableSample()`
  Deprecated.
  for unit test code only
  `TableSample(long totalSamples, int sampleCount, long startTime, String threadName, String label, long elapsed, boolean success, long bytes, long sentBytes, long latency, long connect)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(TableSample o)`
  `boolean`
  `equals(Object o)`
  `long`
  `getBytes()`
  `long`
  `getConnectTime()`
  `long`
  `getElapsed()`
  `String`
  `getLabel()`
  `long`
  `getLatency()`
  `String`
  `getSampleNumberString()`
  `long`
  `getSentBytes()`
  `long`
  `getStartTime()`
  `String`
  `getStartTimeFormatted(Format format)`
  `String`
  `getThreadName()`
  `int`
  `hashCode()`
  `boolean`
  `isSuccess()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TableSample

    @Deprecated public TableSample()
    Deprecated.
    for unit test code only

  - ### TableSample

    public TableSample(long totalSamples, int sampleCount, long startTime, String threadName, String label, long elapsed, boolean success, long bytes, long sentBytes, long latency, long connect)

- ## Method Details

  - ### getBytes

    public long getBytes()

  - ### getSampleNumberString

    public String getSampleNumberString()

  - ### getElapsed

    public long getElapsed()

  - ### isSuccess

    public boolean isSuccess()

  - ### getStartTime

    public long getStartTime()

  - ### getStartTimeFormatted

    public String getStartTimeFormatted(Format format)
    Parameters:
      `format` - the format to be used on the time
    Returns:
      the start time using the specified format Intended for use from Functors

  - ### getThreadName

    public String getThreadName()

  - ### getLabel

    public String getLabel()

  - ### compareTo

    public int compareTo(TableSample o)
    Specified by:
      `compareTo` in interface `Comparable<TableSample>`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### getLatency

    public long getLatency()
    Returns:
      the latency

  - ### getConnectTime

    public long getConnectTime()
    Returns:
      the connect time

  - ### getSentBytes

    public long getSentBytes()
    Returns:
      the sentBytes